[arch-commits] Commit in laptop-mode-tools/repos (3 files)

Eric Bélanger eric at archlinux.org
Fri Jun 5 21:53:45 EDT 2009


    Date: Friday, June 5, 2009 @ 21:53:45
  Author: eric
Revision: 41628

Merged revisions 41625 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/laptop-mode-tools/trunk

........
  r41625 | eric | 2009-06-05 21:34:24 -0400 (Fri, 05 Jun 2009) | 2 lines
  
  upgpkg: laptop-mode-tools 1.49-1
      Upstream update
........

Modified:
  laptop-mode-tools/repos/extra-x86_64/	(properties)
  laptop-mode-tools/repos/extra-x86_64/ChangeLog
  laptop-mode-tools/repos/extra-x86_64/PKGBUILD

-----------+
 ChangeLog |    5 +++++
 PKGBUILD  |   56 ++++++++++++++++++++++++++++----------------------------
 2 files changed, 33 insertions(+), 28 deletions(-)


Property changes on: laptop-mode-tools/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /laptop-mode-tools/trunk:1-25973
   + /laptop-mode-tools/trunk:1-41627

Modified: extra-x86_64/ChangeLog
===================================================================
--- extra-x86_64/ChangeLog	2009-06-06 01:35:35 UTC (rev 41627)
+++ extra-x86_64/ChangeLog	2009-06-06 01:53:45 UTC (rev 41628)
@@ -1,3 +1,8 @@
+2009-06-05  Eric Belanger  <eric at archlinux.org>
+
+	* laptop-mode-tools 1.49-1
+	* Upstream update
+
 2009-01-31  Eric Belanger  <eric at archlinux.org>
 
 	* laptop-mode-tools 1.47-1

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-06-06 01:35:35 UTC (rev 41627)
+++ extra-x86_64/PKGBUILD	2009-06-06 01:53:45 UTC (rev 41628)
@@ -3,7 +3,7 @@
 # Contributor: Christopher "nuopus" Cox <nuopus at gmail.com>
 
 pkgname=laptop-mode-tools
-pkgver=1.47
+pkgver=1.49
 pkgrel=1
 pkgdesc="Laptop mode is a kernel mode that allows you to extend the battery life of your laptop"
 arch=('i686' 'x86_64')
@@ -32,52 +32,52 @@
         etc/laptop-mode/laptop-mode.conf
         etc/laptop-mode/lm-profiler.conf)
 source=(http://www.samwel.tk/laptop_mode/tools/downloads/${pkgname}_${pkgver}.tar.gz laptop-mode)
-md5sums=('ec32f80d9bb427cb02a54d8c0a08f5e6' '241a0e07fc3b340b3381bcde8a74b71d')
-sha1sums=('e38745b17b7259289190b0630c15c5e9e77ff891' 'e69239683c320ecc4c27060eb2ace768d06696bc')
+md5sums=('48615d47679869226c88161d1b4e7a55' '241a0e07fc3b340b3381bcde8a74b71d')
+sha1sums=('1abfb4ec5c18fdb26d7d9d403e54676b5af9fc58' 'e69239683c320ecc4c27060eb2ace768d06696bc')
 
 #laptop-mode-tools has one of the worst install scripts ever... manual here
 build() {
-  cd ${srcdir}/${pkgname}_${pkgver}
+  cd "${srcdir}/${pkgname}_${pkgver}"
 
 #state dir
-  install -d ${pkgdir}/var/run/laptop-mode-tools/
+  install -d "${pkgdir}/var/run/laptop-mode-tools/"
 
 #binaries
-  install -d ${pkgdir}/usr/sbin/
-  install -m755 usr/sbin/* ${pkgdir}/usr/sbin/ || return 1
+  install -d "${pkgdir}/usr/sbin/"
+  install -m755 usr/sbin/* "${pkgdir}/usr/sbin/" || return 1
 
 #config files
-  install -d ${pkgdir}/etc/laptop-mode/conf.d
-  install -m644 etc/laptop-mode/laptop-mode.conf ${pkgdir}/etc/laptop-mode/ || return 1
-  install -m644 etc/laptop-mode/lm-profiler.conf ${pkgdir}/etc/laptop-mode/ || return 1
-  install -m644 etc/laptop-mode/conf.d/* ${pkgdir}/etc/laptop-mode/conf.d/ || return 1
+  install -d "${pkgdir}/etc/laptop-mode/conf.d"
+  install -m644 etc/laptop-mode/laptop-mode.conf "${pkgdir}/etc/laptop-mode/" || return 1
+  install -m644 etc/laptop-mode/lm-profiler.conf "${pkgdir}/etc/laptop-mode/" || return 1
+  install -m644 etc/laptop-mode/conf.d/* "${pkgdir}/etc/laptop-mode/conf.d/" || return 1
 
 #modules
-  install -d ${pkgdir}/usr/share/laptop-mode-tools/modules
-  install -d ${pkgdir}/usr/share/laptop-mode-tools/module-helpers
-  install -m755 usr/share/laptop-mode-tools/modules/* ${pkgdir}/usr/share/laptop-mode-tools/modules/ || return 1
-  install -m755 usr/share/laptop-mode-tools/module-helpers/* ${pkgdir}/usr/share/laptop-mode-tools/module-helpers/ || return 1
+  install -d "${pkgdir}/usr/share/laptop-mode-tools/modules"
+  install -d "${pkgdir}/usr/share/laptop-mode-tools/module-helpers"
+  install -m755 usr/share/laptop-mode-tools/modules/* "${pkgdir}/usr/share/laptop-mode-tools/modules/" || return 1
+  install -m755 usr/share/laptop-mode-tools/module-helpers/* "${pkgdir}/usr/share/laptop-mode-tools/module-helpers/" || return 1
 
 #man pages
-  install -d ${pkgdir}/usr/share/man/man8/
-  install -m644 man/* ${pkgdir}/usr/share/man/man8/ || return 1
+  install -d "${pkgdir}/usr/share/man/man8/"
+  install -m644 man/* "${pkgdir}/usr/share/man/man8/" || return 1
 
 #acpi support
-  install -d ${pkgdir}/etc/acpi/{actions,events}
-  install -m755 etc/acpi/actions/* ${pkgdir}/etc/acpi/actions || return 1
-  install -m644 etc/acpi/events/* ${pkgdir}/etc/acpi/events || return 1
+  install -d "${pkgdir}"/etc/acpi/{actions,events}
+  install -m755 etc/acpi/actions/* "${pkgdir}/etc/acpi/actions" || return 1
+  install -m644 etc/acpi/events/* "${pkgdir}/etc/acpi/events" || return 1
 
 #apm support - TODO still needed?
-  install -d ${pkgdir}/etc/apm/event.d/
-  install -m755 etc/apm/event.d/* ${pkgdir}/etc/apm/event.d || return 1
+  install -d "${pkgdir}/etc/apm/event.d/"
+  install -m755 etc/apm/event.d/* "${pkgdir}/etc/apm/event.d" || return 1
 
 #pm-utils support
-  install -d ${pkgdir}/etc/power/{event.d,scripts.d}
-  install -d ${pkgdir}/etc/pm/sleep.d
-  install -m755 etc/pm/sleep.d/* ${pkgdir}/etc/pm/sleep.d || return 1
-  install -m755 etc/power/scripts.d/* ${pkgdir}/etc/power/scripts.d || return 1
-  ln -fs /etc/power/scripts.d/laptop-mode ${pkgdir}/etc/power/event.d || return 1
+  install -d "${pkgdir}"/etc/power/{event.d,scripts.d}
+  install -d "${pkgdir}/etc/pm/sleep.d"
+  install -m755 etc/pm/sleep.d/* "${pkgdir}/etc/pm/sleep.d" || return 1
+  install -m755 etc/power/scripts.d/* "${pkgdir}/etc/power/scripts.d" || return 1
+  ln -fs /etc/power/scripts.d/laptop-mode "${pkgdir}/etc/power/event.d" || return 1
 
 #arch init script
-  install -D -m755 ${srcdir}/laptop-mode ${pkgdir}/etc/rc.d/laptop-mode || return 1
+  install -D -m755 "${srcdir}/laptop-mode" "${pkgdir}/etc/rc.d/laptop-mode" || return 1
 }



More information about the arch-commits mailing list